- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Members

# NMXP_DATA_PROCESS Struct Reference

Parameter structure for functions that process data. More...

`#include <nmxp_data.h>`

List of all members.

## Public Attributes
int32_t | key
| Channel Key.
char | network [NETWORK_LENGTH]
| Network code.
char | station [STATION_LENGTH]
| Station code.
char | channel [CHANNEL_LENGTH]
| Channel code.
int32_t | packet_type
| Packet type.
int32_t | x0
| First sample. It is significant only if x0n_significant != 0.
int32_t | xn
| Last sample. It is significant only if x0n_significant != 0.
int32_t | x0n_significant
| Declare if xn significant.
int32_t | oldest_seq_no
| Oldest Sequence number.
int32_t | seq_no
| Sequence number.
double | time
| Time first sample. Epochs.
void * | buffer
| Nanometrics packet data.
int32_t | length
| Packet length.
int * | pDataPtr
| Array of samples.
int32_t | nSamp
| Number or samples.
int32_t | sampRate
| Sample rate.

## Detailed Description

Parameter structure for functions that process data.

## Member Data Documentation

int32_t NMXP_DATA_PROCESS::key

Channel Key.

char NMXP_DATA_PROCESS::network[NETWORK_LENGTH]

Network code.

char NMXP_DATA_PROCESS::station[STATION_LENGTH]

Station code.

char NMXP_DATA_PROCESS::channel[CHANNEL_LENGTH]

Channel code.

int32_t NMXP_DATA_PROCESS::packet_type

Packet type.

int32_t NMXP_DATA_PROCESS::x0

First sample. It is significant only if x0n_significant != 0.

int32_t NMXP_DATA_PROCESS::xn

Last sample. It is significant only if x0n_significant != 0.

int32_t NMXP_DATA_PROCESS::x0n_significant

Declare if xn significant.

int32_t NMXP_DATA_PROCESS::oldest_seq_no

Oldest Sequence number.

int32_t NMXP_DATA_PROCESS::seq_no

Sequence number.

double NMXP_DATA_PROCESS::time

Time first sample. Epochs.

void* NMXP_DATA_PROCESS::buffer

Nanometrics packet data.

int32_t NMXP_DATA_PROCESS::length

Packet length.

int* NMXP_DATA_PROCESS::pDataPtr

Array of samples.

int32_t NMXP_DATA_PROCESS::nSamp

Number or samples.

int32_t NMXP_DATA_PROCESS::sampRate

Sample rate.

The documentation for this struct was generated from the following file:

- include/nmxp_data.h